## Function `multiply( arrayOrScalar1, arrayOrScalar2 )`

Description:
  Returns the element-by-element result of multiplying either two numeric arrays of the same length, or an array and a scalar considered as if an array of the right length.

  If the arguments are not as expected (e.g. arrays of different lengths, both scalars, not numeric) then null is returned.

Parameters:
  `arrayOrScalar1` (Object)
    first numeric array/scalar
  `arrayOrScalar2` (Object)
    second numeric array/scalar

Return Value (array of floating point):
  element-by-element result of `arrayOrScalar1 * arrayOrScalar2`, the same length as the input array(s)

Examples:
  - `multiply(array(1,2,3), array(2,4,6)) = [2, 8, 18]`
  - `multiply(2, array(1,2,3)) = [2, 4, 6]`

Signature:
  `double[] multiply(Object, Object)`